org.codehaus.modello.maven

## Class ModelloSnakeYamlWriterMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.modello.maven.AbstractModelloGeneratorMojo
    - - org.codehaus.modello.maven.AbstractModelloSourceGeneratorMojo
      - - org.codehaus.modello.maven.ModelloSnakeYamlWriterMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="snakeyaml-writer",
            defaultPhase=GENERATE_SOURCES,
            threadSafe=true)
      public class ModelloSnakeYamlWriterMojo
      extends AbstractModelloSourceGeneratorMojo

  Creates an SnakeYaml writer from the model.
  Since:
    1.8
  Author:
    Simone Tripodi

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelloSnakeYamlWriterMojo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getGeneratorType()`

    - ### Methods inherited from class org.codehaus.modello.maven.AbstractModelloSourceGeneratorMojo

      `customizeParameters, getOutputDirectory, producesCompilableResult, setOutputDirectory`

    - ### Methods inherited from class org.codehaus.modello.maven.AbstractModelloGeneratorMojo

      `createParameters, execute, getBasedir, getModelloCore, getModels, getPackageWithVersion, getProject, getVersion, producesResources, setBasedir, setBuildContext, setModelloCore, setModels, setPackagedVersions, setPackageWithVersion, setProject, setVersion`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelloSnakeYamlWriterMojo

          public ModelloSnakeYamlWriterMojo()

  - ### Method Detail

    - #### getGeneratorType

          protected String getGeneratorType()

      Specified by:
        `getGeneratorType` in class `AbstractModelloGeneratorMojo`

Copyright © 2001–2015 Codehaus. All rights reserved.